# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:		ArpON
Version:	2.7
Release:	alt1_5
Summary:	ARP handler inspection

Group:		Networking/WWW
License:	BSD
URL:		http://arpon.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/arpon/arpon/ArpON-%{version}/ArpON-%{version}.tar.gz
Patch0:		arpon.8.patch

BuildRequires:	libpcap-devel
BuildRequires: ctest cmake
BuildRequires:	libnet2-devel
BuildRequires:	libdnet-devel
Source44: import.info

		
%description
%{name} is a portable handler daemon
It has a lot of features and it makes ARP a bit safer.
It uses static ARP inspection and dynamic ARP inspection
as two kinds of anti ARP poisoning techniques.

%prep
%setup -q
cd man8
%patch0 -p3


%build
cmake .
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%{__install} -D -pm 755 src/arpon %{buildroot}%{_sbindir}/arpon
%{__install} -D -pm 644 man8/arpon.8 %{buildroot}%{_mandir}/man8/arpon.8  


%files
%doc AUTHOR CHANGELOG LICENSE doc/*
%{_sbindir}/arpon
%{_mandir}/man8/arpon.8*


%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 2.7-alt1_5
- initial fc import

